function ph=phi(x)
% Penalty function in objective function
global lambda
ph=phi_1(x);

%
% Soft thresholding penalty function
%
    function y=phi_1(x)
        y=lambda.*x;
    end

% Hard thresholding penalty function
%     function y=phi_2(x,lambda)
%             if abs(x)>lambda
%                 y=lambda^2;
%             else
%                 y=lambda^2-(x-lambda)^2;
%             end
%     end
    
end







